Package org.kapott.hbci.GV_Result

# Class GVRWPDepotList.Entry

java.lang.Object
org.kapott.hbci.GV_Result.GVRWPDepotList.Entry

Enclosing class:
  GVRWPDepotList

public static final class GVRWPDepotList.Entry extends Object
Ein Eintrag zu genau einem Depot

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`GVRWPDepotList.Entry.Gattung`
Enhält Informationen zu einer Wertpapiergattung

## Field Summary

Fields
Modifier and Type
Field
Description
`Konto`
`depot`
Depotkonto, auf das sich der Eintrag bezieht.
`static final int`
`SALDO_TYPE_STCK`
`static final int`
`SALDO_TYPE_WERT`
`Date`
`timestamp`
Zeitpunkt der Erstellung dieser Daten
`BigDecimalValue`
`total`
Gesamtwert des Depots (optional!)

## Constructor Summary

Constructors
Constructor
Description
`Entry()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntry(GVRWPDepotList.Entry.Gattung gattung)`
`GVRWPDepotList.Entry.Gattung[]`
`getEntries()`
Gibt ein Array mit Informationen über alle Wertpapiergattungen zurück, die in diesem Depot gehalten werden.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SALDO_TYPE_STCK

public static final int SALDO_TYPE_STCK

See Also:
  - Constant Field Values

### SALDO_TYPE_WERT

public static final int SALDO_TYPE_WERT

See Also:
  - Constant Field Values

### timestamp

public Date timestamp
Zeitpunkt der Erstellung dieser Daten

### depot

public Konto depot
Depotkonto, auf das sich der Eintrag bezieht.

### total

public BigDecimalValue total
Gesamtwert des Depots (optional!)

## Constructor Details

### Entry

public Entry()

## Method Details

### addEntry

public void addEntry(GVRWPDepotList.Entry.Gattung gattung)

### getEntries

public GVRWPDepotList.Entry.Gattung[] getEntries()
Gibt ein Array mit Informationen über alle Wertpapiergattungen zurück, die in diesem Depot gehalten werden. Der Rückgabewert ist niemals `null`, die Größe des Arrays kann aber 0 sein.

Returns:
  Array mit Informationen über Wertpapiergattungen

### toString

public String toString()

Overrides:
  `toString` in class `Object`